#version 430 core
layout (location = 0) in vec3 aPos;
layout (location = 2) in vec2 aTexCoords;
layout (location = 3) in mat4 aInstanceMatrix;
layout (location = 9) in vec3 color;

out vec2 TexCoords;
out vec3 col;

uniform mat4 projection;
uniform mat4 view;

void main()
{
    TexCoords = aTexCoords;
	col = color;
    gl_Position = projection * view * aInstanceMatrix * vec4(aPos, 1.0f); 
}